
// -*- C++ -*-

// Interface to the JGFunction ctor class. see JGByte.h
//
// jhrg 1/13/94

/* $Log: JGFunction.h,v $
/* Revision 1.3  1996/09/17 00:02:12  jimg
/* Misc changes associated with merging branch code to the trunk.
/*
 * Revision 1.2.8.1.2.1  1996/06/26 22:17:53  jimg
 * Dans changes for 2.05.
 *
 * Revision 1.2  1995/03/14  01:23:37  jimg
 * Modified so that these files are a proper subclass of the DAP classes
 * Byte, ..., Grid.
 * Added assert macros.
 * Added Jgofs.h external declarations file.
 *
 * Revision 1.1  1995/02/16  19:00:35  dan
 * JGOFS sub-class definitions for Function.h
 *
 * Revision 1.2  1995/01/19  21:59:33  jimg
 * Added read_val from dummy_read.cc to the sample set of sub-class
 * implementations.
 * Changed the declaration of readVal in BaseType so that it names the
 * mfunc read_val (to be consistant with the other mfunc names).
 * Removed the unnecessary duplicate declaration of the abstract virtual
 * mfuncs read and (now) read_val from the classes Byte, ... Grid. The
 * declaration in BaseType is sufficient along with the decl and definition
 * in the *.cc,h files which contain the subclasses for Byte, ..., Grid.
 *
 * Revision 1.1  1995/01/19  20:20:43  jimg
 * Created as an example of subclassing the class hierarchy rooted at
 * BaseType.
 *
 */

#ifndef _JGFunction_h
#define _JGFunction_h 1

#ifdef _GNUG_
#pragma interface
#endif

#include "Function.h"

class JGFunction: public Function {
public:
    JGFunction(const String &n = (char *)0);
    virtual ~JGFunction();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const String &dataset, int &error);
};

typedef JGFunction * JGFunctionPtr;

#endif
