/*
  This file contains common extern declarations used by the DODS-JGOFS code.
  jhrg 3/12/95
*/

/* $Log: jgofs.h,v $
/* Revision 1.8  1998/02/05 20:14:40  jimg
/* DODS now compiles with gcc 2.8.x
/*
/* Revision 1.7  1997/12/31 19:13:33  jimg
/* Fixed up the comments.
/*
 * Revision 1.6  1996/12/18 17:42:36  jimg
 * Comments added. Not much of a change, really.
 *
 * Revision 1.5  1996/09/17 00:04:15  jimg
 * Misc changes associated with merging branch code to the trunk.
 *
 * Revision 1.4.2.1  1996/04/02 19:43:10  jimg
 * Fixed errors in comment header.
 * Removed code that was being excluded with #ifdef NEVER ... #endif.
 *
 * Revision 1.4  1995/10/11  23:56:12  jimg
 * Added external symbols defined/declared in jgofs.h to lgofs/ljdb.c. Fixed
 * the C constant TOKEN so that it is `40' everywhere.
 *
 * Revision 1.3  1995/09/18  22:50:02  jimg
 * These files changed as a result of edit Dan made to the jg-dods code so that
 * the servers use exiting jgofs methods (i.e., one set of jg-dods servers can
 * be used to access N methods, without the linking hack previously used).
 *
 * Revision 1.2  1995/03/14  02:19:23  jimg
 * Removed files.
 */

/* 
   These constants must match the definitions in ljgofs/ljdb.c
*/

#define NVALS 250
#define TOKEN 40
#define ATTRLEN 256
#define VALSIZE 80

extern int nParams;
extern int nVars;
extern int varLevel[NVALS];
extern char varName[NVALS][TOKEN];
extern char varValue[NVALS][VALSIZE];
extern int varSize;
extern int reqLvl;
extern int maxLvl;
extern int unit;

/* 
   These external symbols force the linker to extract all of the object
   modules that are used to specialize the classes in the dods client-server
   toolkit. This is necessary since the linker otherwise does not think it is
   necessary to include all of the object modules.
*/

extern "C" {
  int jdbopen_(int *unit, char*, char(*)[TOKEN], int*, int*);
  int jdblevel_(int *unit, int*);
  int jdbattributes_(int *unit, int*, char *);
  int jdbreada_(int *unit, char(*)[VALSIZE], int*);
  int jdbclose_(int *unit);

  /* Our own (DODS) versions of these functions. */
  int ljdbopen_(int *unit, char*, char(*)[TOKEN], int*, int*);
  int ljdblevel_(int *unit, int*);
  int ljdbattributes_(int *unit, int*, char *);
  int ljdbreada_(int *unit, char(*)[VALSIZE], int*);
  int ljdbclose_(int *unit);
  int ljdberror_(int *unit, char (*)[1024]);
}





