
/* 
   startchild
   name: procedure name and args (either in search path or full path specified)
   cin: file which will be child's stdin
   cout: file which will be child's stdout
 */

#include <stdio.h>
#include <string.h>

#ifdef DEBUG
#define DBG(x) x
#else
#define DBG(x)
#endif

startchild(name, cin, cout)
char *name;
FILE **cin, **cout;
{
    static int pipeto[2], pipefrom[2];
    int i, numfds, childpid;
    char *args[20];

    if (pipe(pipeto) || pipe(pipefrom) < 0) {
	perror("no pipes");
	exit(1);
    }

    switch (childpid = fork()) {
    case -1:
	perror("bad fork");
	exit(1);

    case 0:
        DBG(fprintf(stderr,"got here after fork\n"));
        DBG(fprintf(stderr,"%s\n",name));

	dup2(pipeto[0], 0);
	dup2(pipefrom[1], 1);
	numfds = getdtablesize();
	for (i = 3; i < numfds; i++)
	    close(i);
	i = 0;
	args[i++] = strtok(name, " ");
	while (args[i] = strtok(NULL, " "))
	    i++;
	i = 0;

        DBG(while(args[i])fprintf(stderr,"arg %d = %s\n",i,args[i++]));

	execvp(args[0], args);
	perror(args[0]);

        DBG(exit(1);)		/* Fall through to default if not DEBUG */

    default:
	close(pipeto[0]);
	close(pipefrom[1]);

        DBG(ptoch = pipeto[1]);
	DBG(pfrch = pipefrom[0]);

	*cin = fdopen(pipeto[1], "w");
	*cout = fdopen(pipefrom[0], "r");
	setbuf(*cin, NULL);

	DBG(setbuf(frch,NULL));

	break;
    }
}
